Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155017 - Unisys' x86_64 ES7000 loses legacy devices during boot when using latest ES7000 platform code
Summary: Unisys' x86_64 ES7000 loses legacy devices during boot when using latest ES70...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 158812 168429
TreeView+ depends on / blocked
 
Reported: 2005-04-15 18:11 UTC by Jason Davis
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 18:53:29 UTC


Attachments (Terms of Use)
ES7000 Legacy Mappings Update (deleted)
2005-04-15 18:17 UTC, Jason Davis
no flags Details | Diff
ES7000 Legacy Mappings Update for U2 Kernel (deleted)
2005-08-31 02:10 UTC, Jason Davis
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Jason Davis 2005-04-15 18:11:59 UTC
Description of problem:
During the boot sequence on the x86_64 ES7000 machine, legacy interrupts are not
configured correctly. As a result, legacy devices (ie: IDE drives, IDE CDROM,
keyboard, mouse, etc) are not usable because their legacy mappings are not
configured.

Version-Release number of selected component (if applicable):
2.6.9-6.37.EL

How reproducible:
Consistently.

Steps to Reproduce:
1. Build a kernel image using the latest ES7000 platform code. The latest ES7000
platform code is included as part of the consolidated patch update for ES7000,
which is located here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=137347

2. Boot the kernel image.

Actual results:  
The CDROM driver is stuck trying to probe for devices (intermittently printing a
message that the hda device is losing interrupts). Keyboard is also not responsive.


Expected results:


Additional info:

Comment 1 Jason Davis 2005-04-15 18:17:41 UTC
Created attachment 113240 [details]
ES7000 Legacy Mappings Update

This update only affects Unisys' ES7000 machines.

The patch reflects a change needed to determine which generation of ES7000 is
currently running. The next generation of ES7000s will have conventional legacy
support so the patch accommodates for this. This patch has been tested and
verified on both an authentic 5xx ES7000 box and the next generation x86-64
ES7000 box. This patch has already been accepted into the upstream LK tree.

Comment 2 Bruce Vessey 2005-04-21 15:40:45 UTC
This patch is included in 2.6.12-rc2.  It's documented in
http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.12-rc2 as
"[PATCH] ES7000 Legacy Mappings Update"

Comment 4 Tim Burke 2005-05-25 14:12:06 UTC
Do we have the hardware required to test this patch?


Comment 6 Bruce Vessey 2005-05-25 18:50:02 UTC
Unfortunately you do not yet have this hardware.  We are trying to get some for
you as quickly as possible.  We're keeping Andrius Benokraitis
(andriusb@redhat.com) up-to-date on the status.

Comment 8 Andrius Benokraitis 2005-06-13 19:13:38 UTC
Hardware is now onsite in Westford.

Comment 13 Jason Davis 2005-08-31 02:10:24 UTC
Created attachment 118272 [details]
ES7000 Legacy Mappings Update for U2 Kernel

Updated for U2 kernel as requested by Andrius on IT.

Comment 23 Red Hat Bugzilla 2006-03-07 18:53:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.